{% extends 'base.html' %}

{% block title %}
Sign Up! - Scrumptious Recipes
{% endblock title %}

{% block content %}

<header>
  <nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Navbar</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav me-auto">
          {% if user.is_authenticated %}
          <li class = "nav-link" > Hello, {{user.username}} </li>
          <li class="nav-item active">
            <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
          </li>
          <li>
            <a class="nav-link" href="{% url "user_logout" %}"> Log out </a>
          </li>
            {% else %}
          <li class="nav-item active">
            <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
          </li>
          <li>
            <a class="nav-link" href="{% url "signup" %}"> Sign up </a>
          </li>
          {% endif %}
        </ul>
      </div>
    </div>
  </nav>

</header>
<main>
  <h1>Log in!</h1>
  <form method="post">
    {% csrf_token %}
    {{ form.as_p }}
    <button>Log in</button>
  </form>
</main>
{% endblock content %}
